Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Class NativeData

    java.lang.Object
      org.basex.data.Data
          org.basex.data.MemData
              org.basex.data.NativeData

    public final class NativeData

extends MemData

This class stores and organizes the database table and the index structures for textual content in a compressed memory structure and redundantly passes the data on to a native application. The table mapping is documented in `DiskData`.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen, Alexander Holupirek

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.data.Data
`Data.Type`

Field Summary

Fields inherited from class org.basex.data.Data
`ATTR, atts, COMM, DOC, ELEM, fs, meta, nameID, ns, path, PI, sizeID, tags, TEXT`

Constructor Summary
`NativeData(int cap, Names tag, Names att, Namespaces n, PathSummary s, Prop pr)` Constructor.

Method Summary

Methods inherited from class org.basex.data.MemData
`addAtt, addDoc, addElem, addText, attLen, attNameID, attNS, attNum, attSize, attValue, closeIndex, cls, delete, flush, getLock, id, insert, insert, insert, kind, ns, parent, pre, setAttValue, setIndex, setLock, setSize, size, tagID, tagNS, text, textLen, textNum, update, update`

Methods inherited from class org.basex.data.Data
`atom, attName, attNameID, attValue, close, doc, ids, info, init, nrIDs, tag, tagID, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NativeData

    public NativeData(int cap,
                      Names tag,
                      Names att,
                      Namespaces n,
                      PathSummary s,
                      Prop pr)

  Constructor.

  Parameters:
    `cap` - initial array capacity
    `tag` - tag index
    `att` - attribute name index
    `n` - namespaces
    `s` - path summary
    `pr` - database properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD